DateTime::getTimestamp
DateTime::modify
DateTime
PHP Manual

# DateTime::getTimezone

(PHP 5 >= 5.2.0)

DateTime::getTimezone — Return time zone relative to given DateTime

### Description

public DateTimeZone DateTime::getTimezone ( void )
DateTimeZone date_timezone_get ( DateTime `$object` )

### Parameters

`object`

  Procedural style only: A DateTime object returned by date_create()

### Return Values

Returns DateTimeZone object on success or `FALSE` on failure.

### Examples

Example #1 Setting and getting DateTimeZone objects

`<?php
date_default_timezone_set('Europe/London');
$datetime = new DateTime('2008-08-03 12:35:23');
echo $datetime->getTimezone()->getName() . "\n";
$datetime = new DateTime('2008-08-03 12:35:23');
$la_time = new DateTimeZone('America/Los_Angeles');
$datetime->setTimezone($la_time);
echo $datetime->getTimezone()->getName();
?>`

The above example will output:

    Europe/London
    America/Los_Angeles

### See Also

- DateTime::setTimezone() - Sets the time zone for the DateTime object
- timezone_open() - Returns new DateTimeZone object

DateTime::getTimestamp
DateTime::modify
DateTime
PHP Manual